classification
Title: AIX: ld_so_aix not found during test of test_peg_generator
Type: behavior Stage: resolved
Components: Build, Tests Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Michael.Felt, lys.nikolaou, ned.deily, pablogsal
Priority: high Keywords: patch

Created on 2020-04-23 05:56 by Michael.Felt, last changed 2020-04-24 14:06 by Michael.Felt. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 19674 merged pablogsal, 2020-04-23 10:16
Messages (18)
msg367081 - (view) Author: Michael Felt (Michael.Felt) * Date: 2020-04-23 05:56
As part, I assume, of PR19503, that includes 91 changed files with 27,058 additions and 147 deletions the AIX buildbot is broken.

Rather than looking/finding Modules/ld_so_aix (where I expect it to be) tests are failing, ulitmately because they look/expect it to be in a new location, and with a name dependent on being debug (or not) as the bots are configured using --pydebug.

Examples:
FileNotFoundError: [Errno 2] No such file or directory: '/home/shager/cpython-buildarea/3.x.edelsohn-aix-ppc64/build/target/lib/python3.9/config-3.9d/ld_so_aix'

or

FileNotFoundError: [Errno 2] No such file or directory: '/home/aixtools/buildarea/3.x.aixtools-aix-power6/build/target/lib/python3.9/config-3.9d/ld_so_aix'

This is (only?) in test_peg_generator.

One traceback example:
Captured traceback
==================

Traceback (most recent call last):
  File "/home/aixtools/buildarea/3.x.aixtools-aix-power6/build/Lib/test/test_peg_generator/test_c_parser.py", line 174, in test_nasty_mutually_left_recursive
    self.check_input_strings_for_grammar(grammar, self.tmp_path, valid_cases, invalid_cases)
  File "/home/aixtools/buildarea/3.x.aixtools-aix-power6/build/Lib/test/test_peg_generator/test_c_parser.py", line 40, in check_input_strings_for_grammar
    extension = generate_parser_c_extension(grammar, Path(tmp_path))
  File "/home/aixtools/buildarea/3.x.aixtools-aix-power6/build/Tools/peg_generator/pegen/testutil.py", line 95, in generate_parser_c_extension
    extension_path = compile_c_extension(str(source), build_dir=str(path / "build"))
  File "/home/aixtools/buildarea/3.x.aixtools-aix-power6/build/Tools/peg_generator/pegen/build.py", line 73, in compile_c_extension
    cmd.run()
  File "/home/aixtools/buildarea/3.x.aixtools-aix-power6/build/Lib/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/home/aixtools/buildarea/3.x.aixtools-aix-power6/build/Lib/distutils/command/build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "/home/aixtools/buildarea/3.x.aixtools-aix-power6/build/Lib/distutils/command/build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "/home/aixtools/buildarea/3.x.aixtools-aix-power6/build/Lib/distutils/command/build_ext.py", line 551, in build_extension
    self.compiler.link_shared_object(
  File "/home/aixtools/buildarea/3.x.aixtools-aix-power6/build/Lib/distutils/ccompiler.py", line 713, in link_shared_object
    self.link(CCompiler.SHARED_OBJECT, objects,
  File "/home/aixtools/buildarea/3.x.aixtools-aix-power6/build/Lib/distutils/unixccompiler.py", line 204, in link
    self.spawn(linker + ld_args)
  File "/home/aixtools/buildarea/3.x.aixtools-aix-power6/build/Lib/distutils/ccompiler.py", line 910, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/aixtools/buildarea/3.x.aixtools-aix-power6/build/Lib/distutils/spawn.py", line 74, in spawn
    proc = subprocess.Popen(cmd, env=env)
  File "/home/aixtools/buildarea/3.x.aixtools-aix-power6/build/Lib/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/home/aixtools/buildarea/3.x.aixtools-aix-power6/build/Lib/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/home/aixtools/buildarea/3.x.aixtools-aix-power6/build/target/lib/python3.9/config-3.9d/ld_so_aix'

See https://buildbot.python.org/all/#builders/119/builds/720 and https://buildbot.python.org/all/#builders/227/builds/723
msg367083 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-04-23 06:50
It looks like the newly added test_peg_gemerator tries to build C code at run time as part of executing the test.  So most likely the test is not invoking distutils with the same set of options and/or environment variable values that the main Python setup.py does when building standard library C extension modules at Python build time.  Pablo?
msg367088 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-04-23 09:52
Ned, the analysis seems correct. We need to fix test_peg_generator so it uses the same build options as the interpreter. I am slightly surprised as I was under the assumption that distutils propagates the compiler options that were used when the interpreter was built automatically
msg367089 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-04-23 10:22
Michael, could you check if PR 19674 fixes the issue? That PR ensures that we are using the same set of flags as to when building the interpreter, which independently of this issue, is the correct thing to do.

I suspect that given the path '/home/aixtools/buildarea/3.x.aixtools-aix-power6/build/target/lib/python3.9/config-3.9d/ld_so_aix', distutils is triying to use an installed 'ld_so_aix' instead of the one in Modules/ld_so_aix.
msg367090 - (view) Author: Michael Felt (Michael.Felt) * Date: 2020-04-23 11:09
New issue with test during PR19764:

0:03:29 [416/423/1] test_peg_generator failed (2 min 34 sec) -- running: test_pathlib (3 min 19 sec), test_bufio (3 min 17 sec), test_concurrent_futures (3 min 10 sec), test_multiprocessing_fork (3 min), test_subprocess (2 min 49 sec), test_multiprocessing_forkserver (3 min 18 sec), test_multiprocessing_spawn (2 min 56 sec)
[]

\u2514\u2500\u2500Rule
   \u2514\u2500\u2500Rhs
      \u2514\u2500\u2500Alt
         \u251c\u2500\u2500NamedItem
         \u2502  \u2514\u2500\u2500StringLeaf("'a'")
         \u2514\u2500\u2500NamedItem
            \u2514\u2500\u2500Opt
               \u2514\u2500\u2500Rhs
                  \u2514\u2500\u2500Alt
                     \u251c\u2500\u2500NamedItem
                     \u2502  \u2514\u2500\u2500StringLeaf("'b'")
                     \u2514\u2500\u2500NamedItem
                        \u2514\u2500\u2500Opt
                           \u2514\u2500\u2500Rhs
                              \u2514\u2500\u2500Alt
                                 \u251c\u2500\u2500NamedItem
                                 \u2502  \u2514\u2500\u2500StringLeaf("'c'")
                                 \u2514\u2500\u2500NamedItem
                                    \u2514\u2500\u2500Opt
                                       \u2514\u2500\u2500Rhs
                                          \u2514\u2500\u2500Alt
                                             \u2514\u2500\u2500NamedItem
                                                \u2514\u2500\u2500StringLeaf("'d'")

start() ... (looking at 1.0: OP:'(')
  expect('(') ... (looking at 1.0: OP:'(')
  ... expect('(') -> TokenInfo(type=54 (OP), string='(', start=(1, 0), end=(1, 1), line='(1)')
  expr() ... (looking at 1.1: NUMBER:'1')
    number() ... (looking at 1.1: NUMBER:'1')
    ... number() -> TokenInfo(type=2 (NUMBER), string='1', start=(1, 1), end=(1, 2), line='(1)')
  ... expr() -> [TokenInfo(type=2 (NUMBER), string='1', start=(1, 1), end=(1, 2), line='(1)')]
  expect(')') ... (looking at 1.2: OP:')')
  ... expect(')') -> TokenInfo(type=54 (OP), string=')', start=(1, 2), end=(1, 3), line='(1)')
... start() -> [TokenInfo(type=54 (OP), string='(', start=(1, 0), end=(1, 1), line='(1)'), [TokenInfo(type=2 (NUMBER), string='1', start=(1, 1), end=(1, 2), line='(1)')], TokenInfo(type=54 (OP), string=')', start=(1
Rule('start', None, Rhs([Alt([NamedItem(None, Gather(StringLeaf("','"), NameLeaf('thing'))), NamedItem(None, NameLeaf('NEWLINE'))])]))
/tmp/tmp9nzhxvu1/parse.c: In function 'start_rule':
/tmp/tmp9nzhxvu1/parse.c:32:35: warning: passing argument 2 of '_PyPegen_lookahead' from incompatible pointer type [-Wincompatible-pointer-types]
             _PyPegen_lookahead(1, _PyPegen_name_token, p)
                                   ^~~~~~~~~~~~~~~~~~~
In file included from /tmp/tmp9nzhxvu1/parse.c:2:0:
/home/aixtools/python/cpython-master/Parser/pegen/pegen.h:90:5: note: expected 'void * (*)(Parser *) {aka void * (*)(struct <anonymous> *)}' but argument is of type 'struct _expr * (*)(Parser *) {aka struct _expr * (*)(struct <anonymous> *)}'
 int _PyPegen_lookahead(int, void *(func)(Parser *), Parser *);
     ^~~~~~~~~~~~~~~~~~
/tmp/tmp1qne6lpy/parse.c: In function 'start_rule':
/tmp/tmp1qne6lpy/parse.c:32:35: warning: passing argument 2 of '_PyPegen_lookahead' from incompatible pointer type [-Wincompatible-pointer-types]
             _PyPegen_lookahead(0, _PyPegen_name_token, p)
                                   ^~~~~~~~~~~~~~~~~~~
In file included from /tmp/tmp1qne6lpy/parse.c:2:0:
/home/aixtools/python/cpython-master/Parser/pegen/pegen.h:90:5: note: expected 'void * (*)(Parser *) {aka void * (*)(struct <anonymous> *)}' but argument is of type 'struct _expr * (*)(Parser *) {aka struct _expr * (*)(struct <anonymous> *)}'
 int _PyPegen_lookahead(int, void *(func)(Parser *), Parser *);
     ^~~~~~~~~~~~~~~~~~
test test_peg_generator failed -- multiple errors occurred; run in verbose mode for details
0:03:47 [417/423/1] test_pathlib passed (3 min 36 sec) -- running: test_bufio (3 min 35 sec), test_concurrent_futures (3 min 27 sec), test_multiprocessing_fork (3 min 18 sec), test_subprocess (3 min 6 sec), test_multiprocessing_forkserver (3 min 35 sec), test_multiprocessing_spawn (3 min 14 sec)
0:03:51 [418/423/1] test_multiprocessing_fork passed (3 min 21 sec) -- running: test_bufio (3 min 39 sec), test_concurrent_futures (3 min 32 sec), test_subprocess (3 min 11 sec), test_multiprocessing_forkserver (3 min 40 sec), test_multiprocessing_spawn (3 min 18 sec)
/home/aixtools/python/cpython-master/Lib/multiprocessing/resource_tracker.py:216: UserWarning: resource_tracker: There appear to be 1 leaked shared_memory objects to clean up at shutdown
  warnings.warn('resource_tracker: There appear to be %d '
/home/aixtools/python/cpython-master/Lib/multiprocessing/resource_tracker.py:229: UserWarning: resource_tracker: '/psm_35e4dd20': [Errno 2] No such file or directory: '/psm_35e4dd20'
  warnings.warn('resource_tracker: %r: %s' % (name, e))
0:04:00 [419/423/1] test_bufio passed (3 min 47 sec) -- running: test_concurrent_futures (3 min 41 sec), test_subprocess (3 min 20 sec), test_multiprocessing_forkserver (3 min 49 sec), test_multiprocessing_spawn (3 min 27 sec)
0:04:03 [420/423/1] test_subprocess passed (3 min 21 sec) -- running: test_concurrent_futures (3 min 43 sec), test_multiprocessing_forkserver (3 min 51 sec), test_multiprocessing_spawn (3 min 29 sec)

This is with gcc as compiler. Shall repeat with xlc and only update if different.
msg367091 - (view) Author: Michael Felt (Michael.Felt) * Date: 2020-04-23 11:11
More `make test` output:

1 test failed:
    test_peg_generator

18 tests skipped:
    test_devpoll test_epoll test_gdb test_ioctl test_kqueue
    test_msilib test_ossaudiodev test_spwd test_startfile test_tix
    test_tk test_ttk_guionly test_unicode_file
    test_unicode_file_functions test_winconsoleio test_winreg
    test_winsound test_zipfile64
0:05:24
0:05:24 Re-running failed tests in verbose mode
0:05:24 Re-running test_peg_generator in verbose mode
test_advanced_left_recursive (test.test_peg_generator.test_c_parser.TestCParser) ... ERROR
test_c_parser (test.test_peg_generator.test_c_parser.TestCParser) ... ERROR
test_cut (test.test_peg_generator.test_c_parser.TestCParser) ... ERROR
test_error_in_rules (test.test_peg_generator.test_c_parser.TestCParser) ... ERROR
test_gather (test.test_peg_generator.test_c_parser.TestCParser) ... ERROR
test_gather_action_ast (test.test_peg_generator.test_c_parser.TestCParser) ... ERROR
test_headers_and_trailer (test.test_peg_generator.test_c_parser.TestCParser) ... ok
test_if_stmt_action (test.test_peg_generator.test_c_parser.TestCParser) ... ERROR
test_left_recursion (test.test_peg_generator.test_c_parser.TestCParser) ... ERROR
test_lookahead (test.test_peg_generator.test_c_parser.TestCParser) ... /tmp/tmpte0se473/parse.c: In function 'start_rule':
/tmp/tmpte0se473/parse.c:32:35: warning: passing argument 2 of '_PyPegen_lookahead' from incompatible pointer type [-Wincompatible-pointer-types]
             _PyPegen_lookahead(1, _PyPegen_name_token, p)
                                   ^~~~~~~~~~~~~~~~~~~
In file included from /tmp/tmpte0se473/parse.c:2:0:
/home/aixtools/python/cpython-master/Parser/pegen/pegen.h:90:5: note: expected 'void * (*)(Parser *) {aka void * (*)(struct <anonymous> *)}' but argument is of type 'struct _expr * (*)(Parser *) {aka struct _expr * (*)(struct <anonymous> *)}'
 int _PyPegen_lookahead(int, void *(func)(Parser *), Parser *);
     ^~~~~~~~~~~~~~~~~~
ERROR
test_mutually_left_recursive (test.test_peg_generator.test_c_parser.TestCParser) ... ERROR
test_nasty_mutually_left_recursive (test.test_peg_generator.test_c_parser.TestCParser) ... ERROR
test_negative_lookahead (test.test_peg_generator.test_c_parser.TestCParser) ... /tmp/tmpyyc57e2e/parse.c: In function 'start_rule':
/tmp/tmpyyc57e2e/parse.c:32:35: warning: passing argument 2 of '_PyPegen_lookahead' from incompatible pointer type [-Wincompatible-pointer-types]
             _PyPegen_lookahead(0, _PyPegen_name_token, p)
                                   ^~~~~~~~~~~~~~~~~~~
In file included from /tmp/tmpyyc57e2e/parse.c:2:0:
/home/aixtools/python/cpython-master/Parser/pegen/pegen.h:90:5: note: expected 'void * (*)(Parser *) {aka void * (*)(struct <anonymous> *)}' but argument is of type 'struct _expr * (*)(Parser *) {aka struct _expr * (*)(struct <anonymous> *)}'
 int _PyPegen_lookahead(int, void *(func)(Parser *), Parser *);
     ^~~~~~~~~~~~~~~~~~
ERROR
test_pass_stmt_action (test.test_peg_generator.test_c_parser.TestCParser) ... ERROR
test_return_stmt_noexpr_action (test.test_peg_generator.test_c_parser.TestCParser) ... ERROR
test_same_name_different_types (test.test_peg_generator.test_c_parser.TestCParser) ... ERROR
test_syntax_error_for_string (test.test_peg_generator.test_c_parser.TestCParser) ... []
ERROR
test_ternary_operator (test.test_peg_generator.test_c_parser.TestCParser) ... ERROR
test_with_stmt_with_paren (test.test_peg_generator.test_c_parser.TestCParser) ... ERROR
test_advance_left_recursion (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_alternatives (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_epsilon_production_in_start_rule (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_gather (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_left_recursion (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_multiple_nullable_rules (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_mutual_left_recursion (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_nasty_left_recursion (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_negative_lookahead (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_nullable_rule (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_optional_after (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_optional_before (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_optional_literal (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_optional_operator (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_optionals (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_positive_lookahead (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_repeat_0 (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_repeat_0_with_group (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_repeat_1 (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_repeat_1_with_group (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_repeat_with_separator (test.test_peg_generator.test_first_sets.TestFirstSets) ... ok
test_deep_nested_rule (test.test_peg_generator.test_pegen.TestGrammarVisualizer) ...
\u2514\u2500\u2500Rule
   \u2514\u2500\u2500Rhs
      \u2514\u2500\u2500Alt
         \u251c\u2500\u2500NamedItem
         \u2502  \u2514\u2500\u2500StringLeaf("'a'")
         \u2514\u2500\u2500NamedItem
            \u2514\u2500\u2500Opt
               \u2514\u2500\u2500Rhs
                  \u2514\u2500\u2500Alt
                     \u251c\u2500\u2500NamedItem
                     \u2502  \u2514\u2500\u2500StringLeaf("'b'")
                     \u2514\u2500\u2500NamedItem
                        \u2514\u2500\u2500Opt
                           \u2514\u2500\u2500Rhs
                              \u2514\u2500\u2500Alt
                                 \u251c\u2500\u2500NamedItem
                                 \u2502  \u2514\u2500\u2500StringLeaf("'c'")
                                 \u2514\u2500\u2500NamedItem
                                    \u2514\u2500\u2500Opt
                                       \u2514\u2500\u2500Rhs
                                          \u2514\u2500\u2500Alt
                                             \u2514\u2500\u2500NamedItem
                                                \u2514\u2500\u2500StringLeaf("'d'")

ok
test_multiple_rules (test.test_peg_generator.test_pegen.TestGrammarVisualizer) ... ok
test_simple_rule (test.test_peg_generator.test_pegen.TestGrammarVisualizer) ... ok
test_advanced_left_recursive (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_alt_optional_operator (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_bad_token_reference (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_cut (test.test_peg_generator.test_pegen.TestPegen) ... start() ... (looking at 1.0: OP:'(')
  expect('(') ... (looking at 1.0: OP:'(')
  ... expect('(') -> TokenInfo(type=54 (OP), string='(', start=(1, 0), end=(1, 1), line='(1)')
  expr() ... (looking at 1.1: NUMBER:'1')
    number() ... (looking at 1.1: NUMBER:'1')
    ... number() -> TokenInfo(type=2 (NUMBER), string='1', start=(1, 1), end=(1, 2), line='(1)')
  ... expr() -> [TokenInfo(type=2 (NUMBER), string='1', start=(1, 1), end=(1, 2), line='(1)')]
  expect(')') ... (looking at 1.2: OP:')')
  ... expect(')') -> TokenInfo(type=54 (OP), string=')', start=(1, 2), end=(1, 3), line='(1)')
... start() -> [TokenInfo(type=54 (OP), string='(', start=(1, 0), end=(1, 1), line='(1)'), [TokenInfo(type=2 (NUMBER), string='1', start=(1, 1), end=(1, 2), line='(1)')], TokenInfo(type=54 (OP), string=')', start=(1
ok
test_dangling_reference (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_expr_grammar (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_left_recursion_too_complex (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_left_recursive (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_long_rule_str (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_lookahead (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_missing_start (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_mutually_left_recursive (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_named_lookahead_error (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_nasty_mutually_left_recursive (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_nullable (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_optional_literal (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_optional_operator (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_parse_grammar (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_python_expr (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_repeat_0_complex (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_repeat_0_simple (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_repeat_1_complex (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_repeat_1_simple (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_repeat_with_sep_simple (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_repeat_with_separator_rules (test.test_peg_generator.test_pegen.TestPegen) ... Rule('start', None, Rhs([Alt([NamedItem(None, Gather(StringLeaf("','"), NameLeaf('thing'))), NamedItem(None, NameLeaf('NEWLINE'))])]))
ok
test_start_leader (test.test_peg_generator.test_pegen.TestPegen) ... ok
test_typed_rules (test.test_peg_generator.test_pegen.TestPegen) ... ok

======================================================================
ERROR: test_advanced_left_recursive (test.test_peg_generator.test_c_parser.TestCParser)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 155, in test_advanced_left_recursive
    self.check_input_strings_for_grammar(grammar, self.tmp_path, valid_cases)
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 40, in check_input_strings_for_grammar
    extension = generate_parser_c_extension(grammar, Path(tmp_path))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/testutil.py", line 95, in generate_parser_c_extension
    extension_path = compile_c_extension(str(source), build_dir=str(path / "build"))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/build.py", line 84, in compile_c_extension
    cmd.run()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 551, in build_extension
    self.compiler.link_shared_object(
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 713, in link_shared_object
    self.link(CCompiler.SHARED_OBJECT, objects,
  File "/home/aixtools/python/cpython-master/Lib/distutils/unixccompiler.py", line 204, in link
    self.spawn(linker + ld_args)
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 910, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/aixtools/python/cpython-master/Lib/distutils/spawn.py", line 74, in spawn
    proc = subprocess.Popen(cmd, env=env)
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/lib/python3.9/config-3.9d/ld_so_aix'

======================================================================
ERROR: test_c_parser (test.test_peg_generator.test_c_parser.TestCParser)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 81, in test_c_parser
    extension = generate_parser_c_extension(grammar, Path(self.tmp_path))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/testutil.py", line 95, in generate_parser_c_extension
    extension_path = compile_c_extension(str(source), build_dir=str(path / "build"))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/build.py", line 84, in compile_c_extension
    cmd.run()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 551, in build_extension
    self.compiler.link_shared_object(
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 713, in link_shared_object
    self.link(CCompiler.SHARED_OBJECT, objects,
  File "/home/aixtools/python/cpython-master/Lib/distutils/unixccompiler.py", line 204, in link
    self.spawn(linker + ld_args)
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 910, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/aixtools/python/cpython-master/Lib/distutils/spawn.py", line 74, in spawn
    proc = subprocess.Popen(cmd, env=env)
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/lib/python3.9/config-3.9d/ld_so_aix'

======================================================================
ERROR: test_cut (test.test_peg_generator.test_c_parser.TestCParser)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 129, in test_cut
    self.check_input_strings_for_grammar(grammar, self.tmp_path, valid_cases, invalid_cases)
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 40, in check_input_strings_for_grammar
    extension = generate_parser_c_extension(grammar, Path(tmp_path))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/testutil.py", line 95, in generate_parser_c_extension
    extension_path = compile_c_extension(str(source), build_dir=str(path / "build"))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/build.py", line 84, in compile_c_extension
    cmd.run()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 551, in build_extension
    self.compiler.link_shared_object(
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 713, in link_shared_object
    self.link(CCompiler.SHARED_OBJECT, objects,
  File "/home/aixtools/python/cpython-master/Lib/distutils/unixccompiler.py", line 204, in link
    self.spawn(linker + ld_args)
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 910, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/aixtools/python/cpython-master/Lib/distutils/spawn.py", line 74, in spawn
    proc = subprocess.Popen(cmd, env=env)
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/lib/python3.9/config-3.9d/ld_so_aix'

======================================================================
ERROR: test_error_in_rules (test.test_peg_generator.test_c_parser.TestCParser)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 330, in test_error_in_rules
    extension = generate_parser_c_extension(grammar, Path(self.tmp_path))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/testutil.py", line 95, in generate_parser_c_extension
    extension_path = compile_c_extension(str(source), build_dir=str(path / "build"))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/build.py", line 84, in compile_c_extension
    cmd.run()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 551, in build_extension
    self.compiler.link_shared_object(
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 713, in link_shared_object
    self.link(CCompiler.SHARED_OBJECT, objects,
  File "/home/aixtools/python/cpython-master/Lib/distutils/unixccompiler.py", line 204, in link
    self.spawn(linker + ld_args)
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 910, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/aixtools/python/cpython-master/Lib/distutils/spawn.py", line 74, in spawn
    proc = subprocess.Popen(cmd, env=env)
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/lib/python3.9/config-3.9d/ld_so_aix'

======================================================================
ERROR: test_gather (test.test_peg_generator.test_c_parser.TestCParser)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 138, in test_gather
    self.check_input_strings_for_grammar(grammar, self.tmp_path, valid_cases, invalid_cases)
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 40, in check_input_strings_for_grammar
    extension = generate_parser_c_extension(grammar, Path(tmp_path))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/testutil.py", line 95, in generate_parser_c_extension
    extension_path = compile_c_extension(str(source), build_dir=str(path / "build"))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/build.py", line 84, in compile_c_extension
    cmd.run()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 551, in build_extension
    self.compiler.link_shared_object(
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 713, in link_shared_object
    self.link(CCompiler.SHARED_OBJECT, objects,
  File "/home/aixtools/python/cpython-master/Lib/distutils/unixccompiler.py", line 204, in link
    self.spawn(linker + ld_args)
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 910, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/aixtools/python/cpython-master/Lib/distutils/spawn.py", line 74, in spawn
    proc = subprocess.Popen(cmd, env=env)
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/lib/python3.9/config-3.9d/ld_so_aix'

======================================================================
ERROR: test_gather_action_ast (test.test_peg_generator.test_c_parser.TestCParser)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 194, in test_gather_action_ast
    self.verify_ast_generation(grammar, stmt, self.tmp_path)
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 53, in verify_ast_generation
    extension = generate_parser_c_extension(grammar, Path(tmp_path))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/testutil.py", line 95, in generate_parser_c_extension
    extension_path = compile_c_extension(str(source), build_dir=str(path / "build"))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/build.py", line 84, in compile_c_extension
    cmd.run()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 551, in build_extension
    self.compiler.link_shared_object(
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 713, in link_shared_object
    self.link(CCompiler.SHARED_OBJECT, objects,
  File "/home/aixtools/python/cpython-master/Lib/distutils/unixccompiler.py", line 204, in link
    self.spawn(linker + ld_args)
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 910, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/aixtools/python/cpython-master/Lib/distutils/spawn.py", line 74, in spawn
    proc = subprocess.Popen(cmd, env=env)
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/lib/python3.9/config-3.9d/ld_so_aix'

======================================================================
ERROR: test_if_stmt_action (test.test_peg_generator.test_c_parser.TestCParser)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 230, in test_if_stmt_action
    self.verify_ast_generation(grammar, stmt, self.tmp_path)
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 53, in verify_ast_generation
    extension = generate_parser_c_extension(grammar, Path(tmp_path))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/testutil.py", line 95, in generate_parser_c_extension
    extension_path = compile_c_extension(str(source), build_dir=str(path / "build"))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/build.py", line 84, in compile_c_extension
    cmd.run()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 551, in build_extension
    self.compiler.link_shared_object(
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 713, in link_shared_object
    self.link(CCompiler.SHARED_OBJECT, objects,
  File "/home/aixtools/python/cpython-master/Lib/distutils/unixccompiler.py", line 204, in link
    self.spawn(linker + ld_args)
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 910, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/aixtools/python/cpython-master/Lib/distutils/spawn.py", line 74, in spawn
    proc = subprocess.Popen(cmd, env=env)
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/lib/python3.9/config-3.9d/ld_so_aix'

======================================================================
ERROR: test_left_recursion (test.test_peg_generator.test_c_parser.TestCParser)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 147, in test_left_recursion
    self.check_input_strings_for_grammar(grammar, self.tmp_path, valid_cases)
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 40, in check_input_strings_for_grammar
    extension = generate_parser_c_extension(grammar, Path(tmp_path))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/testutil.py", line 95, in generate_parser_c_extension
    extension_path = compile_c_extension(str(source), build_dir=str(path / "build"))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/build.py", line 84, in compile_c_extension
    cmd.run()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 551, in build_extension
    self.compiler.link_shared_object(
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 713, in link_shared_object
    self.link(CCompiler.SHARED_OBJECT, objects,
  File "/home/aixtools/python/cpython-master/Lib/distutils/unixccompiler.py", line 204, in link
    self.spawn(linker + ld_args)
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 910, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/aixtools/python/cpython-master/Lib/distutils/spawn.py", line 74, in spawn
    proc = subprocess.Popen(cmd, env=env)
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/lib/python3.9/config-3.9d/ld_so_aix'

======================================================================
ERROR: test_lookahead (test.test_peg_generator.test_c_parser.TestCParser)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 107, in test_lookahead
    self.check_input_strings_for_grammar(grammar, self.tmp_path, valid_cases, invalid_cases)
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 40, in check_input_strings_for_grammar
    extension = generate_parser_c_extension(grammar, Path(tmp_path))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/testutil.py", line 95, in generate_parser_c_extension
    extension_path = compile_c_extension(str(source), build_dir=str(path / "build"))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/build.py", line 84, in compile_c_extension
    cmd.run()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 551, in build_extension
    self.compiler.link_shared_object(
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 713, in link_shared_object
    self.link(CCompiler.SHARED_OBJECT, objects,
  File "/home/aixtools/python/cpython-master/Lib/distutils/unixccompiler.py", line 204, in link
    self.spawn(linker + ld_args)
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 910, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/aixtools/python/cpython-master/Lib/distutils/spawn.py", line 74, in spawn
    proc = subprocess.Popen(cmd, env=env)
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/lib/python3.9/config-3.9d/ld_so_aix'

======================================================================
ERROR: test_mutually_left_recursive (test.test_peg_generator.test_c_parser.TestCParser)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 164, in test_mutually_left_recursive
    self.check_input_strings_for_grammar(grammar, self.tmp_path, valid_cases)
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 40, in check_input_strings_for_grammar
    extension = generate_parser_c_extension(grammar, Path(tmp_path))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/testutil.py", line 95, in generate_parser_c_extension
    extension_path = compile_c_extension(str(source), build_dir=str(path / "build"))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/build.py", line 84, in compile_c_extension
    cmd.run()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 551, in build_extension
    self.compiler.link_shared_object(
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 713, in link_shared_object
    self.link(CCompiler.SHARED_OBJECT, objects,
  File "/home/aixtools/python/cpython-master/Lib/distutils/unixccompiler.py", line 204, in link
    self.spawn(linker + ld_args)
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 910, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/aixtools/python/cpython-master/Lib/distutils/spawn.py", line 74, in spawn
    proc = subprocess.Popen(cmd, env=env)
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/lib/python3.9/config-3.9d/ld_so_aix'

======================================================================
ERROR: test_nasty_mutually_left_recursive (test.test_peg_generator.test_c_parser.TestCParser)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 174, in test_nasty_mutually_left_recursive
    self.check_input_strings_for_grammar(grammar, self.tmp_path, valid_cases, invalid_cases)
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 40, in check_input_strings_for_grammar
    extension = generate_parser_c_extension(grammar, Path(tmp_path))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/testutil.py", line 95, in generate_parser_c_extension
    extension_path = compile_c_extension(str(source), build_dir=str(path / "build"))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/build.py", line 84, in compile_c_extension
    cmd.run()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 551, in build_extension
    self.compiler.link_shared_object(
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 713, in link_shared_object
    self.link(CCompiler.SHARED_OBJECT, objects,
  File "/home/aixtools/python/cpython-master/Lib/distutils/unixccompiler.py", line 204, in link
    self.spawn(linker + ld_args)
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 910, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/aixtools/python/cpython-master/Lib/distutils/spawn.py", line 74, in spawn
    proc = subprocess.Popen(cmd, env=env)
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/lib/python3.9/config-3.9d/ld_so_aix'

======================================================================
ERROR: test_negative_lookahead (test.test_peg_generator.test_c_parser.TestCParser)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 116, in test_negative_lookahead
    self.check_input_strings_for_grammar(grammar, self.tmp_path, valid_cases, invalid_cases)
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 40, in check_input_strings_for_grammar
    extension = generate_parser_c_extension(grammar, Path(tmp_path))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/testutil.py", line 95, in generate_parser_c_extension
    extension_path = compile_c_extension(str(source), build_dir=str(path / "build"))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/build.py", line 84, in compile_c_extension
    cmd.run()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 551, in build_extension
    self.compiler.link_shared_object(
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 713, in link_shared_object
    self.link(CCompiler.SHARED_OBJECT, objects,
  File "/home/aixtools/python/cpython-master/Lib/distutils/unixccompiler.py", line 204, in link
    self.spawn(linker + ld_args)
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 910, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/aixtools/python/cpython-master/Lib/distutils/spawn.py", line 74, in spawn
    proc = subprocess.Popen(cmd, env=env)
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/lib/python3.9/config-3.9d/ld_so_aix'

======================================================================
ERROR: test_pass_stmt_action (test.test_peg_generator.test_c_parser.TestCParser)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 206, in test_pass_stmt_action
    self.verify_ast_generation(grammar, stmt, self.tmp_path)
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 53, in verify_ast_generation
    extension = generate_parser_c_extension(grammar, Path(tmp_path))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/testutil.py", line 95, in generate_parser_c_extension
    extension_path = compile_c_extension(str(source), build_dir=str(path / "build"))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/build.py", line 84, in compile_c_extension
    cmd.run()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 551, in build_extension
    self.compiler.link_shared_object(
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 713, in link_shared_object
    self.link(CCompiler.SHARED_OBJECT, objects,
  File "/home/aixtools/python/cpython-master/Lib/distutils/unixccompiler.py", line 204, in link
    self.spawn(linker + ld_args)
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 910, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/aixtools/python/cpython-master/Lib/distutils/spawn.py", line 74, in spawn
    proc = subprocess.Popen(cmd, env=env)
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/lib/python3.9/config-3.9d/ld_so_aix'

======================================================================
ERROR: test_return_stmt_noexpr_action (test.test_peg_generator.test_c_parser.TestCParser)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 186, in test_return_stmt_noexpr_action
    self.verify_ast_generation(grammar, stmt, self.tmp_path)
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 53, in verify_ast_generation
    extension = generate_parser_c_extension(grammar, Path(tmp_path))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/testutil.py", line 95, in generate_parser_c_extension
    extension_path = compile_c_extension(str(source), build_dir=str(path / "build"))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/build.py", line 84, in compile_c_extension
    cmd.run()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 551, in build_extension
    self.compiler.link_shared_object(
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 713, in link_shared_object
    self.link(CCompiler.SHARED_OBJECT, objects,
  File "/home/aixtools/python/cpython-master/Lib/distutils/unixccompiler.py", line 204, in link
    self.spawn(linker + ld_args)
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 910, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/aixtools/python/cpython-master/Lib/distutils/spawn.py", line 74, in spawn
    proc = subprocess.Popen(cmd, env=env)
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/lib/python3.9/config-3.9d/ld_so_aix'

======================================================================
ERROR: test_same_name_different_types (test.test_peg_generator.test_c_parser.TestCParser)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 245, in test_same_name_different_types
    extension = generate_parser_c_extension(grammar, Path(self.tmp_path))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/testutil.py", line 95, in generate_parser_c_extension
    extension_path = compile_c_extension(str(source), build_dir=str(path / "build"))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/build.py", line 84, in compile_c_extension
    cmd.run()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 551, in build_extension
    self.compiler.link_shared_object(
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 713, in link_shared_object
    self.link(CCompiler.SHARED_OBJECT, objects,
  File "/home/aixtools/python/cpython-master/Lib/distutils/unixccompiler.py", line 204, in link
    self.spawn(linker + ld_args)
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 910, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/aixtools/python/cpython-master/Lib/distutils/spawn.py", line 74, in spawn
    proc = subprocess.Popen(cmd, env=env)
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/lib/python3.9/config-3.9d/ld_so_aix'

======================================================================
ERROR: test_syntax_error_for_string (test.test_peg_generator.test_c_parser.TestCParser)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 299, in test_syntax_error_for_string
    extension = generate_parser_c_extension(grammar, Path(self.tmp_path))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/testutil.py", line 95, in generate_parser_c_extension
    extension_path = compile_c_extension(str(source), build_dir=str(path / "build"))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/build.py", line 84, in compile_c_extension
    cmd.run()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 551, in build_extension
    self.compiler.link_shared_object(
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 713, in link_shared_object
    self.link(CCompiler.SHARED_OBJECT, objects,
  File "/home/aixtools/python/cpython-master/Lib/distutils/unixccompiler.py", line 204, in link
    self.spawn(linker + ld_args)
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 910, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/aixtools/python/cpython-master/Lib/distutils/spawn.py", line 74, in spawn
    proc = subprocess.Popen(cmd, env=env)
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/lib/python3.9/config-3.9d/ld_so_aix'

======================================================================
ERROR: test_ternary_operator (test.test_peg_generator.test_c_parser.TestCParser)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 290, in test_ternary_operator
    self.verify_ast_generation(grammar_source, stmt, self.tmp_path)
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 53, in verify_ast_generation
    extension = generate_parser_c_extension(grammar, Path(tmp_path))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/testutil.py", line 95, in generate_parser_c_extension
    extension_path = compile_c_extension(str(source), build_dir=str(path / "build"))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/build.py", line 84, in compile_c_extension
    cmd.run()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 551, in build_extension
    self.compiler.link_shared_object(
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 713, in link_shared_object
    self.link(CCompiler.SHARED_OBJECT, objects,
  File "/home/aixtools/python/cpython-master/Lib/distutils/unixccompiler.py", line 204, in link
    self.spawn(linker + ld_args)
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 910, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/aixtools/python/cpython-master/Lib/distutils/spawn.py", line 74, in spawn
    proc = subprocess.Popen(cmd, env=env)
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/lib/python3.9/config-3.9d/ld_so_aix'

======================================================================
ERROR: test_with_stmt_with_paren (test.test_peg_generator.test_c_parser.TestCParser)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/aixtools/python/cpython-master/Lib/test/test_peg_generator/test_c_parser.py", line 270, in test_with_stmt_with_paren
    extension = generate_parser_c_extension(grammar, Path(self.tmp_path))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/testutil.py", line 95, in generate_parser_c_extension
    extension_path = compile_c_extension(str(source), build_dir=str(path / "build"))
  File "/home/aixtools/python/cpython-master/Tools/peg_generator/pegen/build.py", line 84, in compile_c_extension
    cmd.run()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "/home/aixtools/python/cpython-master/Lib/distutils/command/build_ext.py", line 551, in build_extension
    self.compiler.link_shared_object(
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 713, in link_shared_object
    self.link(CCompiler.SHARED_OBJECT, objects,
  File "/home/aixtools/python/cpython-master/Lib/distutils/unixccompiler.py", line 204, in link
    self.spawn(linker + ld_args)
  File "/home/aixtools/python/cpython-master/Lib/distutils/ccompiler.py", line 910, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/aixtools/python/cpython-master/Lib/distutils/spawn.py", line 74, in spawn
    proc = subprocess.Popen(cmd, env=env)
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 947, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/home/aixtools/python/cpython-master/Lib/subprocess.py", line 1819, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/lib/python3.9/config-3.9d/ld_so_aix'

----------------------------------------------------------------------

Ran 70 tests in 84.622s

FAILED (errors=18)
test test_peg_generator failed
1 test failed again:
    test_peg_generator
msg367093 - (view) Author: Michael Felt (Michael.Felt) * Date: 2020-04-23 11:27
Currently build using xlc-v13 hangs during creation of _json.so. Trying xlc-v11.
msg367094 - (view) Author: Michael Felt (Michael.Felt) * Date: 2020-04-23 11:39
with the xlc-v11 environment yet another issue:

Stop.
/usr/bin/make returned an error
root@x065:[/data/prj/python/python-3.9]make V=1
        xlc_r -c   -O -I/opt/include -O2 -qmaxmem=-1 -qarch=pwr5 -O    -I../git/python-3.9/Include/internal -IObjects -IInclude -IPython -I. -I../git/python-3.9/Include -I/opt/include   -DPy_BUILD_CORE -o Modules/_math.o ../git/python-3.9/Modules/_math.c
 CC='xlc_r' LDSHARED='Modules/ld_so_aix xlc_r -bI:Modules/python.exp    ' OPT='-O'  _TCLTK_INCLUDES='' _TCLTK_LIBS=''  ./python -E ../git/python-3.9/setup.py  build
make: 1254-059 The signal code from the last command is 11.

** All I can test using PR19674 ** Hope it helps.
msg367095 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-04-23 11:40
I think the problem here is that distutils in AIX needs the ld_so_aix file installed and is not able to use the one in Modules from the source directory. This happens because sysconfig has "config-3.9d/ld_so_aix", which does not exist until python is installed.
msg367099 - (view) Author: Lysandros Nikolaou (lys.nikolaou) * (Python committer) Date: 2020-04-23 11:46
I propose skipping test_peg_generator for now, so that we don't hold the alpha6 release. It actually only tests the generator and not the parser and since we don't plan on adding new operators in the very near future, we can skip it and fix it after the release.
msg367100 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-04-23 11:50
Interestingly, test_distutils has the same problem, but basically skips the test:

test_build_ext (distutils.tests.test_build_ext.BuildExtTestCase) ... skipped "The '/usr/local/lib/python3.9/config-3.9d/ld_so_aix' command is not found"
msg367101 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-04-23 11:50
> so that we don't hold the alpha6 release.

AIX is not a STABLE buildbot so I cannot hold the release
msg367102 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-04-23 11:52
We need to do the same thing as test_build_ext does:

https://github.com/python/cpython/blob/master/Lib/distutils/tests/test_build_ext.py#L56-L58
msg367110 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-04-23 13:46
Michael, can you check if AIX is happy with the current master? :)
msg367111 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-04-23 13:53
New changeset 9e6a1312c1cd04ab37cddd8f3bb9baa7e9a38bc0 by Pablo Galindo in branch 'master':
bpo-40370: Use the same compile and link args as the interpreter used in test_peg_generator (GH-19674)
https://github.com/python/cpython/commit/9e6a1312c1cd04ab37cddd8f3bb9baa7e9a38bc0
msg367116 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-04-23 14:30
Tested on an AIX system:

[pablo@ibm_machine cpython (master)]$ uname -a
AIX ibm_machine 1 7 ******* powerpc ******** AIX
[pablo@ibm1 cpython (master)]$ ./python -m test test_peg_generator
0:00:00 Run tests sequentially
0:00:00 [1/1] test_peg_generator

== Tests result: SUCCESS ==

1 test OK.

Total duration: 5.0 sec
Tests result: SUCCESS

I will mark this issue as fixed as It was failing before on this machine and now the test suceeds. Feel free to reopen if is not fixes in your system :)
msg367146 - (view) Author: Michael Felt (Michael.Felt) * Date: 2020-04-23 21:21
Thanks for the quick work. I’ll test with xlc as well, as the builds behave differently this afternoon. 

Sent from my iPhone

> On 23 Apr 2020, at 16:31, Pablo Galindo Salgado <report@bugs.python.org> wrote:
> 
> 
> Pablo Galindo Salgado <pablogsal@gmail.com> added the comment:
> 
> Tested on an AIX system:
> 
> [pablo@ibm_machine cpython (master)]$ uname -a
> AIX ibm_machine 1 7 ******* powerpc ******** AIX
> [pablo@ibm1 cpython (master)]$ ./python -m test test_peg_generator
> 0:00:00 Run tests sequentially
> 0:00:00 [1/1] test_peg_generator
> 
> == Tests result: SUCCESS ==
> 
> 1 test OK.
> 
> Total duration: 5.0 sec
> Tests result: SUCCESS
> 
> I will mark this issue as fixed as It was failing before on this machine and now the test suceeds. Feel free to reopen if is not fixes in your system :)
> 
> ----------
> resolution:  -> fixed
> stage: patch review -> resolved
> status: open -> closed
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue40370>
> _______________________________________
>
msg367192 - (view) Author: Michael Felt (Michael.Felt) * Date: 2020-04-24 14:06
Thanks for the quick response. I see both bots are good.
History
Date User Action Args
2020-04-24 14:06:05Michael.Feltsetmessages: + msg367192
2020-04-23 21:21:21Michael.Feltsetmessages: + msg367146
2020-04-23 14:30:46pablogsalsetstatus: open -> closed
resolution: fixed
messages: + msg367116

stage: patch review -> resolved
2020-04-23 13:53:31pablogsalsetmessages: + msg367111
2020-04-23 13:46:54pablogsalsetmessages: + msg367110
2020-04-23 11:52:22pablogsalsetmessages: + msg367102
2020-04-23 11:50:57pablogsalsetmessages: + msg367101
2020-04-23 11:50:14pablogsalsetmessages: + msg367100
2020-04-23 11:46:04lys.nikolaousetmessages: + msg367099
2020-04-23 11:40:18pablogsalsetmessages: + msg367095
2020-04-23 11:39:10Michael.Feltsetmessages: + msg367094
2020-04-23 11:27:54Michael.Feltsetmessages: + msg367093
2020-04-23 11:11:36Michael.Feltsetmessages: + msg367091
2020-04-23 11:09:02Michael.Feltsetmessages: + msg367090
2020-04-23 10:22:47pablogsalsetmessages: + msg367089
2020-04-23 10:16:06pablogsalsetkeywords: + patch
stage: patch review
pull_requests: + pull_request18998
2020-04-23 09:53:34pablogsalsetnosy: + lys.nikolaou
2020-04-23 09:52:07pablogsalsetmessages: + msg367088
2020-04-23 06:50:33ned.deilysetpriority: normal -> high
nosy: + ned.deily
messages: + msg367083

2020-04-23 06:43:20ned.deilysetnosy: + pablogsal
2020-04-23 05:56:20Michael.Feltcreate